Bug 233383 - textproc/libucl: Update to 0.8.1
Summary: textproc/libucl: Update to 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 16:11 UTC by Lorenzo Salvadore
Modified: 2019-03-23 10:42 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
libucl 0.8.1 update patch (3.22 KB, patch)
2018-11-21 16:11 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval? (koobs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-11-21 16:11:07 UTC
Created attachment 199427 [details]
libucl 0.8.1 update patch

- Updates to last version: 0.8.1. Changelog: https://github.com/vstakhov/libucl/releases

- Reorder variables consistently with the porter's handbook variables order.

I have tested successfully with portlint and poudriere (11.2-RELEASE i386/amd64).
Comment 1 Greg V 2019-02-09 19:13:02 UTC
ping.

This contains a lot of improvements to the C++ wrapper that I need. Please merge.
Comment 2 commit-hook freebsd_committer 2019-03-23 10:42:51 UTC
A commit references this bug:

Author: tobik
Date: Sat Mar 23 10:42:27 UTC 2019
New revision: 496634
URL: https://svnweb.freebsd.org/changeset/ports/496634

Log:
  textproc/libucl: Update to 0.8.1

  - Bump revision of consumers for shared library change
  - Pet portlint and reorder some variables
  - Mark the SIGNATURES option as broken with OpenSSL 1.1.1.  It has
    been broken for a while even with libucl 0.8.0.

  Changes:	https://github.com/vstakhov/libucl/blob/0.8.1/ChangeLog.md#libucl-081
  PR:		233383
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>
  Approved by:	koobs (maintainer timeout, 4 months)

Changes:
  head/devel/uclcmd/Makefile
  head/sysutils/hfm/Makefile
  head/textproc/libucl/Makefile
  head/textproc/libucl/distinfo
  head/textproc/libucl/pkg-plist
  head/textproc/py-ucl/Makefile
  head/textproc/uncle/Makefile